This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014989 - lsof output changed with patch
lsof output changed with patch
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lsof (Show other bugs)
5.9
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Peter Schiffer
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 05:30 EDT by Danny Oscar Kip
Modified: 2014-06-09 09:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-22 12:42:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Oscar Kip 2013-10-03 05:30:20 EDT
Description of problem:
lsof 4.78 release 6 displays a '0t0' string on TCP lines in field 'SIZE/OFF', where this used to be empty space (or maybe a tab) in release 3

Version-Release number of selected component (if applicable): 4.78 R6


How reproducible:

Do an lsof on a system with lsof 4.78 release 6 and compare to an lsof on a similar system with release 3
In our specific case we were monitoring some java processes by user jboss:

lsof -p $(ps -fu jboss | awk '/java/ {print $2}')


Actual results:
[just some of the releveant lines:]
java    3541 jboss  343u  IPv6            1636161      0t0     TCP b1.example.com:8093->10.2.3.4:cecsvc (ESTABLISHED)
java    3541 jboss  344u  IPv6            1636217      0t0     TCP b1.example.com:8093->10.2.3.4:hl7 (ESTABLISHED)
java    3541 jboss  345u  IPv6            1636219      0t0     TCP b1.example.com:8093->10.2.3.4:tclprodebugger (ESTABLISHED)

Expected results:
[output from a different unpatched server:]
java    26241 jboss  203u  IPv6           45414608               TCP b1.example.com:8093->b1.example.com:56387 (ESTABLISHED)
java    26241 jboss  204u  IPv6           45412471               TCP b1.example.com:8093->10.2.3.4:37743 (ESTABLISHED)
java    26241 jboss  205u  IPv6           45414610               TCP b1.example.com:8093->b1.example.com:56388 (ESTABLISHED)

Additional info:
Comment 1 RHEL Product and Program Management 2014-03-07 07:45:02 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 2 Danny Oscar Kip 2014-06-09 09:29:31 EDT
No clue what you are expecting from me.

Note You need to log in before you can comment on or make changes to this bug.